comparison configure @ 80541:6452b45858e3

* configure: Regenerate.
author YAMAMOTO Mitsuharu <mituharu@math.s.chiba-u.ac.jp>
date Fri, 02 May 2008 09:38:18 +0000
parents 02c316a51404
children e0b346f6a4f3 a0615a586d39
comparison
equal deleted inserted replaced
80540:e6565d8a8428 80541:6452b45858e3
3234 exit 33 3234 exit 33
3235 ;; 3235 ;;
3236 esac 3236 esac
3237 3237
3238 case "${opsys}" in 3238 case "${opsys}" in
3239 bsd386 | bsdos2-1 | bsdos2 | bsdos3 | bsdos4 | bsd4-1 | bsd4-2 | bsd4-3 | usg5-0 | usg5-2-2 | usg5-2 | usg5-3 | ultrix4-3 | 386bsd | hpux | hpux8 | hpux9 | hpux9shr | hpux10 | hpux10-20 | aix3-1 | aix3-2-5 | aix3-2 | aix4-1 | nextstep | ux4800 | uxpds | uxpv ) 3239 bsd386 | bsdos2-1 | bsdos2 | bsdos3 | bsdos4 | bsd4-1 | bsd4-2 | bsd4-3 | usg5-0 | usg5-2-2 | usg5-2 | usg5-3 | ultrix4-3 | 386bsd | hpux | hpux8 | hpux9 | hpux9shr | hpux10 | aix3-1 | aix3-2-5 | aix3-2 | aix4-1 | nextstep | ux4800 | uxpds | uxpv )
3240 echo "The system that you are configuring on: ${canonical} is considered to be obsolete" 3240 echo "The system that you are configuring on: ${canonical} is considered to be obsolete"
3241 echo "and it is planned to be desupported in the next version of Emacs" 3241 echo "and it is planned to be desupported in the next version of Emacs"
3242 echo "Please email emacs-devel@gnu.org as soon as possible if this system is still in use." 3242 echo "Please email emacs-devel@gnu.org as soon as possible if this system is still in use."
3243 echo "The code is still functional, but you need to edit the 'configure' script and remove the" 3243 echo "The code is still functional, but you need to edit the 'configure' script and remove the"
3244 echo "'exit 44' line. After that you can run 'configure' again and complete the build." 3244 echo "'exit 44' line. After that you can run 'configure' again and complete the build."
14115 if test "${HAVE_CARBON}" = "yes"; then 14115 if test "${HAVE_CARBON}" = "yes"; then
14116 14116
14117 cat >>confdefs.h <<\_ACEOF 14117 cat >>confdefs.h <<\_ACEOF
14118 #define HAVE_CARBON 1 14118 #define HAVE_CARBON 1
14119 _ACEOF 14119 _ACEOF
14120
14121
14122 for ac_header in AvailabilityMacros.h
14123 do
14124 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
14125 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
14126 { echo "$as_me:$LINENO: checking for $ac_header" >&5
14127 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
14128 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
14129 echo $ECHO_N "(cached) $ECHO_C" >&6
14130 fi
14131 ac_res=`eval echo '${'$as_ac_Header'}'`
14132 { echo "$as_me:$LINENO: result: $ac_res" >&5
14133 echo "${ECHO_T}$ac_res" >&6; }
14134 else
14135 # Is the header compilable?
14136 { echo "$as_me:$LINENO: checking $ac_header usability" >&5
14137 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
14138 cat >conftest.$ac_ext <<_ACEOF
14139 /* confdefs.h. */
14140 _ACEOF
14141 cat confdefs.h >>conftest.$ac_ext
14142 cat >>conftest.$ac_ext <<_ACEOF
14143 /* end confdefs.h. */
14144 $ac_includes_default
14145 #include <$ac_header>
14146 _ACEOF
14147 rm -f conftest.$ac_objext
14148 if { (ac_try="$ac_compile"
14149 case "(($ac_try" in
14150 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
14151 *) ac_try_echo=$ac_try;;
14152 esac
14153 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
14154 (eval "$ac_compile") 2>conftest.er1
14155 ac_status=$?
14156 grep -v '^ *+' conftest.er1 >conftest.err
14157 rm -f conftest.er1
14158 cat conftest.err >&5
14159 echo "$as_me:$LINENO: \$? = $ac_status" >&5
14160 (exit $ac_status); } && {
14161 test -z "$ac_c_werror_flag" ||
14162 test ! -s conftest.err
14163 } && test -s conftest.$ac_objext; then
14164 ac_header_compiler=yes
14165 else
14166 echo "$as_me: failed program was:" >&5
14167 sed 's/^/| /' conftest.$ac_ext >&5
14168
14169 ac_header_compiler=no
14170 fi
14171
14172 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
14173 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
14174 echo "${ECHO_T}$ac_header_compiler" >&6; }
14175
14176 # Is the header present?
14177 { echo "$as_me:$LINENO: checking $ac_header presence" >&5
14178 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
14179 cat >conftest.$ac_ext <<_ACEOF
14180 /* confdefs.h. */
14181 _ACEOF
14182 cat confdefs.h >>conftest.$ac_ext
14183 cat >>conftest.$ac_ext <<_ACEOF
14184 /* end confdefs.h. */
14185 #include <$ac_header>
14186 _ACEOF
14187 if { (ac_try="$ac_cpp conftest.$ac_ext"
14188 case "(($ac_try" in
14189 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
14190 *) ac_try_echo=$ac_try;;
14191 esac
14192 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
14193 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
14194 ac_status=$?
14195 grep -v '^ *+' conftest.er1 >conftest.err
14196 rm -f conftest.er1
14197 cat conftest.err >&5
14198 echo "$as_me:$LINENO: \$? = $ac_status" >&5
14199 (exit $ac_status); } >/dev/null && {
14200 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
14201 test ! -s conftest.err
14202 }; then
14203 ac_header_preproc=yes
14204 else
14205 echo "$as_me: failed program was:" >&5
14206 sed 's/^/| /' conftest.$ac_ext >&5
14207
14208 ac_header_preproc=no
14209 fi
14210
14211 rm -f conftest.err conftest.$ac_ext
14212 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
14213 echo "${ECHO_T}$ac_header_preproc" >&6; }
14214
14215 # So? What about this header?
14216 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
14217 yes:no: )
14218 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
14219 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
14220 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
14221 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
14222 ac_header_preproc=yes
14223 ;;
14224 no:yes:* )
14225 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
14226 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
14227 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
14228 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
14229 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
14230 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
14231 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
14232 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
14233 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
14234 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
14235 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
14236 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
14237
14238 ;;
14239 esac
14240 { echo "$as_me:$LINENO: checking for $ac_header" >&5
14241 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
14242 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
14243 echo $ECHO_N "(cached) $ECHO_C" >&6
14244 else
14245 eval "$as_ac_Header=\$ac_header_preproc"
14246 fi
14247 ac_res=`eval echo '${'$as_ac_Header'}'`
14248 { echo "$as_me:$LINENO: result: $ac_res" >&5
14249 echo "${ECHO_T}$ac_res" >&6; }
14250
14251 fi
14252 if test `eval echo '${'$as_ac_Header'}'` = yes; then
14253 cat >>confdefs.h <<_ACEOF
14254 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
14255 _ACEOF
14256
14257 fi
14258
14259 done
14120 14260
14121 ## Specify the install directory 14261 ## Specify the install directory
14122 carbon_appdir= 14262 carbon_appdir=
14123 if test "${carbon_appdir_x}" != ""; then 14263 if test "${carbon_appdir_x}" != ""; then
14124 case ${carbon_appdir_x} in 14264 case ${carbon_appdir_x} in